原创, 服务器,

CentOS 6.4 安装谷歌浏览器Google chrome RPM包 错误libstdc++.so.6(GLIBCXX_3.4.15)解决办法

在Centos 上安装不上google-chrome-stable_current_x86_64.rpm ,不知道是现在的谷歌的浏览器版本太高了,还是CentOs到版本太低了,反正已经不能正常安装了。

如何才能在安装到时候自动安装所依赖的包呢。 终于在网上找到了比较好到解决方案:

下面是安装步骤:

  1. 先下载自动安装脚本:http://chrome.richardlloyd.org.uk/install_chrome.sh
  2. 然后使用gedit编辑install_chrome.sh,或者使用命令 vi 或 vim
  3. 查找和替换
    • chrome_csv=”http://omahaproxy.appspot.com/all?os=linux&channel=$csv_type” 修改为 chrome_csv=”https://dl.google.com/linux/direct”
    • chrome_rpm=”${rpm_name}_current_$rpmarch.rpm” ;; 修改为 chrome_rpm=”google-chrome-stable_current_x86_64.rpm”;;
  4. 保存文件。
  5. 设置文件可执行 chmod u+x install_chrome.sh
  6. 执行命令 ./install_chrome.sh

经过上面到步骤它会自动下载并安装最新版谷歌浏览器及相关依赖包。在终端下执行google-chrome就可以打开浏览器了。同时解决了下载和升级不到依赖包libstdc++.so.6(GLIBCXX_3.4.15)的问题

参考网站:RedHat&CentOS 6.4安装谷歌浏览器chrome

(755)

Related Post